/*
 * Enhydra Java Application Server Project
 * 
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site ( http://www.enhydra.org/ ).
 * 
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See 
 * the License for the specific terms governing rights and limitations
 * under the License.
 * 
 * The Initial Developer of the Enhydra Application Server is Lutris
 * Technologies, Inc. The Enhydra Application Server and portions created
 * by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
 * All Rights Reserved.
 * 
 * Contributor(s):
 * 
 * $Id: edir_load_choose.h,v 1.1.2.3.2.1 2000/10/19 17:59:07 jasona Exp $
 */

#ifndef __EDIR_LOAD_CHOOSE_H__
#define __EDIR_LOAD_CHOOSE_H__ 1
#ifdef __cplusplus
extern "C" {
#endif

extern edir_load_sb_app_t *
edir_load_check_path(edir_load_sb_offsets_t *scoreboard, char *path, 
		     struct sockaddr_in *local_addr,
		     struct sockaddr_in *remote_addr,
		     char *virt_host);

extern void
edir_load_choose(void *scoreboard, char *prefix, char *stickyTag,
		 edir_load_sb_app_t **app, edir_load_sb_server_t **server, 
		 int32 *refCounts, int32 refCountsLen, 
		 struct sockaddr_in *local_addr,
		 struct sockaddr_in *remote_addr,
		 char *virt_host, edir_exception_t **exc);

#ifdef __cplusplus
} /* Extern "C" */
#endif
#endif /* __EDIR_LOAD_CHOOSE_H__ */

